<?php
namespace Claromentis\WhatsNew;

$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_c53508704047d5c" . "04cdd9a4e2c60985" . "5" => base64_decode("dmlld19jbG" . "Fzcw=="), "_48d1d31e5c8" . "abc81ea2f3d9" . "962cfc85e" => base64_decode("Q2xh" . "c3Mg" . "Ig=="), "_710b3e24b285c5a2" . "648d6222ce6fed02" => base64_decode("IiBpcyBub3QgYW4gaW5zdGFuY2Ugb2Y" . "gV2hhdHNOZXdWaWV3SW50ZXJmYWNl"), "nam" . "e" => base64_decode("bmFtZQ" . "=="));
use Claromentis\WhatsNew\View\WhatsNewViewInterface;
class SupportedObjects
{
    protected $types = [];
    public function __construct($_17728688d370dbb69c53d9e641c4b0e0)
    {
        $this->types = $_17728688d370dbb69c53d9e641c4b0e0;
    }
    public function GetBasicTypes()
    {
        $_cca37c6eef1772171471df79b16310d4 = [];
        foreach ($this->types as $key => $value) {
            $_cca37c6eef1772171471df79b16310d4[$key] = $value[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["n" . "a" . "m" . "e"]];
        }
        return $_cca37c6eef1772171471df79b16310d4;
    }
    public function GetTypes()
    {
        return $this->types;
    }
    public function GetView($type)
    {
        $_d25006bce911ec5516b4a6031de5dc67 = $this->types[$type][$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_c53508704047d5c04cdd9a4e2c" . "609855"]];
        $_35ed77ccccaf3a056dcf16acae33bbe0 = new $_d25006bce911ec5516b4a6031de5dc67();
        if (!$_35ed77ccccaf3a056dcf16acae33bbe0 instanceof WhatsNewViewInterface) {
            throw new \Exception($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_48d1d31e5c8abc81ea2f3d" . "9962cfc85e"] . $_d25006bce911ec5516b4a6031de5dc67 . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_710b3e24b285c5a2648d6222ce6" . "fed02"]);
        }
        return $_35ed77ccccaf3a056dcf16acae33bbe0;
    }
}